Skip to navigation

Delete Pages

Deletes one or more content pages. This endpoint supports bulk operations.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Query parameters

id:inlist of integersRequired

Request deletion of multiple pages by passing a comma-separated string of corresponding page IDs. Supports bulk operations.

delete_childrenbooleanOptional

When you explicitly set this query parameter to true, deleting a parent page will recursively delete all its immediate children and their descendants. Otherwise, if you set this query parameter to false or not provided, deleting a parent page will update its immediate children by setting their parent_id to 0 and their is_visible status to false.

Response

No content. A 204 response with no payload indicates successful deletion of all specified pages.

Errors

404
Not Found Error
422
Unprocessable Entity Error